#include <bits/stdc++.h>
using namespace std;
long long n,q,a[200005],b[200005],medijana,res[10000],medijana2,indexmedijane,noviindex,ubacujem;
int BT(int x) {     // x je elemenat kog trazimo u nizu N
    int left=1; 		// ili mesto prvog clan intervala u kom trazimo
    int right=n; 	// ili mesto poslednj. clana interv. u kom trazimo
   while (left<=right) {
     int srednji=(left+right)/2;
if (a[srednji]==x) return srednji;         // nadjen je x
else if (a[srednji]<x) left = srednji + 1; // idemo nadesno
     else right = srednji - 1;               // idemo nalevo
   }
   return 0;  // nije nadjen
}
int BT2(int x) {     // x je elemenat kog trazimo u nizu N
    int left=1; 		// ili mesto prvog clan intervala u kom trazimo
    int right=n; 	// ili mesto poslednj. clana interv. u kom trazimo
   while (left<=right) {
     int srednji=(left+right)/2;
if (a[srednji]==x) return srednji;         // nadjen je x
else if (a[srednji]<x) left = srednji + 1; // idemo nadesno
     else right = srednji - 1;               // idemo nalevo
   }
   return left;
}


int main (){
    cin>>n>>q;
    for(int i=1; i<=n; i++){
        cin>>a[i];
    }
    for(int i=1; i<=q; i++)
        cin>>b[i];
    sort(a+1,a+n+1);
    medijana=a[n/2+1];
    indexmedijane=n/2+1;
    for(int i=1; i<=q; i++){
        if (medijana==b[i])res[i]=0;
        else {
            medijana2=BT(b[i]);
            if(medijana2>0){
              if((n%2==1 and medijana2<indexmedijane)or (n%2==0 and medijana2>indexmedijane)){
                    res[i]=2*abs(medijana2-indexmedijane);
                }
                else{res[i]=(2*abs(medijana2-indexmedijane))-1;}
            }
            else{
                ubacujem=BT2(b[i]);
                if(n%2==1){
                    noviindex=indexmedijane+1;
                    if(ubacujem<=indexmedijane){
                        res[i]=abs(noviindex-ubacujem)*2;
                    }
                    else{
                        res[i]=((abs(noviindex-ubacujem))*2)+1;
                    }
                }
                else{
                    noviindex=indexmedijane;
                    if(ubacujem>=noviindex){
                        res[i]=(abs(noviindex-ubacujem)*2)+1;
                    }
                    else{
                        res[i]=abs(noviindex-ubacujem)*2;
                    }
                }
                }
            }

     cout<<res[i]<<endl;
    }

return 0;
}